Bug 1701691

Summary: Anki Startup Error
Product: [Fedora] Fedora Reporter: aziz
Component: ankiAssignee: Thomas Drake-Brockman <thomas>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 30CC: chkr, schulz89, smakarov, stefan, szidek, thomas
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-06 10:52:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1612847    
Bug Blocks:    
Attachments:
Description Flags
Error message. Anki terminates after clicking OK. none

Description aziz 2019-04-20 19:17:24 UTC
Created attachment 1556708 [details]
Error message. Anki terminates after clicking OK.

Description of problem:

Anki doesn't open when run. Instead it gives an error message and terminates. 


Version-Release number of selected component (if applicable):

Name         : anki
Version      : 2.0.52
Release      : 3.fc30
Architecture : noarch
Size         : 9.2 M
Source       : anki-2.0.52-3.fc30.src.rpm
Repository   : @System
From repo    : fedora

How reproducible:

Install Anki and run.

Steps to Reproduce:
1. Install Anki using DNF.
2. Run Anki.

Actual results:

The following error message shows up:

""""
Please notify support of this error:

Traceback (most recent call last):
  File "/usr/share/anki/aqt/__init__.py", line 194, in run
    _run()
  File "/usr/share/anki/aqt/__init__.py", line 246, in _run
    pm = ProfileManager(opts.base, opts.profile)
  File "/usr/share/anki/aqt/profiles.py", line 73, in __init__
    self.maybeMigrateFolder()
  File "/usr/share/anki/aqt/profiles.py", line 125, in maybeMigrateFolder
    oldBase = self._oldFolderLocation()
  File "/usr/share/anki/aqt/profiles.py", line 122, in _oldFolderLocation
    return os.path.join(loc, "Anki")
  File "/usr/lib64/python2.7/posixpath.py", line 70, in join
    elif path == '' or path.endswith('/'):
AttributeError: 'QString' object has no attribute 'endswith'
""""

Anki terminates after clicking OK.

Expected results:

Anki runs properly.

Comment 1 Victor Schulz 2019-05-02 17:27:15 UTC
My machine is also affected by this.

I don't understand exactly why this bug showed up after the upgrade to Fedora 30, but I found a workaround:

1. Edit the file /usr/share/anki/aqt/profiles.py
2. Replace line 122 with:
   return os.path.join(unicode(loc), "Anki")

This reference may help understand what is going on:
https://stackoverflow.com/questions/37263086/attributeerror-qstring-object-has-no-attribute-rfind

Comment 2 aziz 2019-05-03 04:50:59 UTC
That fix made it work on my machine.

Comment 3 Victor Schulz 2019-05-03 05:43:55 UTC
@aziz, could you kindly check if the bar on Anki main window with the labels "Decks", "Add" and "Browse" is working for you when you click on them?

Comment 4 aziz 2019-05-03 17:09:51 UTC
"Decks", "Add" and "Browse" don't work. The 2 side buttons: statistics and sync also don't work.

Comment 5 Victor Schulz 2019-05-03 17:21:48 UTC
I am also having the exact same problem here. As Anki is pretty much unusable in the current state, version 2.0.x is currently unsupported, and the official website recommends the 2.1.x version, I believe it is time to consider upgrading the repository package to the newer version.

Comment 6 aziz 2019-05-03 17:49:24 UTC
I agree.

Comment 7 Christian Krause 2019-05-03 17:50:08 UTC
A licensing issue was blocking anki-2.1.x so far (please see bug #1612847 for more details). The upstream developer has updated the description of the various used licenses in anki's source code in the meantime, so I hope this removed the last roadblock.

Comment 8 Fedora Update System 2019-06-07 10:12:54 UTC
FEDORA-2019-d45f5e8729 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d45f5e8729

Comment 9 Fedora Update System 2019-06-07 10:13:55 UTC
FEDORA-2019-5778ae630c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5778ae630c

Comment 10 Fedora Update System 2019-06-08 00:51:04 UTC
anki-2.1.13-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d45f5e8729

Comment 11 Fedora Update System 2019-06-08 03:00:35 UTC
anki-2.1.13-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5778ae630c

Comment 12 Fedora Update System 2019-06-17 18:27:52 UTC
anki-2.1.13-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-06-17 23:33:21 UTC
anki-2.1.13-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.